Summary: Networking with the isdn subsystem
Name: isdn4net
%define version 1
Version: %{version}
Release: 1
Copyright: GNU-GPL
Group: Networking/Utilities
Source0: ifup-ippp
Source1: ifdown-ippp
Source2: sample.ifcfg-ippp0
Source3: ifup-isdn
Source4: ifdown-isdn
Source5: isdn
Source6: isdn4linux
BuildRoot: /tmp/isdn4net
Requires: isdn4k-utils
Packager: J"org Lehrke <jlehrke@ecrc.de>

%description
Provides several scirpts to do networking with isdn4linux

%prep
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig/network-scripts
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc0.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc1.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc5.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc6.d

%install
cp ${RPM_SOURCE_DIR}/ifup-ippp ${RPM_BUILD_ROOT}/etc/sysconfig/network-scripts
cp ${RPM_SOURCE_DIR}/ifdown-ippp ${RPM_BUILD_ROOT}/etc/sysconfig/network-scripts
cp ${RPM_SOURCE_DIR}/ifup-isdn ${RPM_BUILD_ROOT}/etc/sysconfig/network-scripts
cp ${RPM_SOURCE_DIR}/ifdown-isdn ${RPM_BUILD_ROOT}/etc/sysconfig/network-scripts
chmod 0755 ${RPM_BUILD_ROOT}/etc/sysconfig/network-scripts/*
cp ${RPM_SOURCE_DIR}/sample.ifcfg-ippp0 ${RPM_BUILD_ROOT}/etc/sysconfig/network-scripts
chmod 0644 ${RPM_BUILD_ROOT}/etc/sysconfig/network-scripts/sample.ifcfg-ippp0
cp ${RPM_SOURCE_DIR}/isdn ${RPM_BUILD_ROOT}/etc/sysconfig
chmod 0644 ${RPM_BUILD_ROOT}/etc/sysconfig/isdn
cp ${RPM_SOURCE_DIR}/isdn4linux ${RPM_BUILD_ROOT}/etc/rc.d/init.d
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/init.d/isdn4linux
ln -sf /etc/rc.d/init.d/isdn4linux ${RPM_BUILD_ROOT}/etc/rc.d/rc0.d/K75isdn4linux
ln -sf /etc/rc.d/init.d/isdn4linux ${RPM_BUILD_ROOT}/etc/rc.d/rc1.d/K96isdn4linux
ln -sf /etc/rc.d/init.d/isdn4linux ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/S05isdn4linux
ln -sf /etc/rc.d/init.d/isdn4linux ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/S05isdn4linux
ln -sf /etc/rc.d/init.d/isdn4linux ${RPM_BUILD_ROOT}/etc/rc.d/rc5.d/S05isdn4linux
ln -sf /etc/rc.d/init.d/isdn4linux ${RPM_BUILD_ROOT}/etc/rc.d/rc6.d/K75isdn4linux

%files
%config /etc/sysconfig/isdn
/etc/sysconfig/network-scripts/ifup-ippp
/etc/sysconfig/network-scripts/ifdown-ippp
/etc/sysconfig/network-scripts/sample.ifcfg-ippp0
/etc/sysconfig/network-scripts/ifup-isdn
/etc/sysconfig/network-scripts/ifdown-isdn
/etc/rc.d/init.d/isdn4linux
/etc/rc.d/rc2.d/S05isdn4linux
/etc/rc.d/rc3.d/S05isdn4linux
/etc/rc.d/rc5.d/S05isdn4linux
/etc/rc.d/rc6.d/K75isdn4linux
/etc/rc.d/rc0.d/K75isdn4linux
/etc/rc.d/rc1.d/K96isdn4linux
